import * as fc from 'fast-check'
import dataUriToBlob from './dataUriToBlob'

it('should exist', () => {
  expect(dataUriToBlob).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof dataUriToBlob).toBe('function')
})

it('should accept 2 arguments', () => {
  expect(dataUriToBlob).toHaveLength(2)
})

it('should throw an error for invalid parameters', () => {
  fc.assert(
    fc.property(
      fc.anything().filter(s => typeof s !== 'string'),
      s => {
        expect(() => dataUriToBlob(s as string)).toThrow(TypeError)
      }
    )
  )
})
